Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] FW: error configuring OpenMPI 1.6.3 with gcc 4.7.2
From: Paul Hatton (p.s.hatton_at_[hidden])
Date: 2013-02-04 09:06:34


For completeness to the list and archive in case it helps anyone else now or in the future ....

The problem was due to me not adding the lib64 directory for my gcc build to LD_RUN_PATH, which is needed when gcc is linking other applications, as well as LD_LIBRARY_PATH which is used at run time. Just needed (Bourne shell) to

export LD_RUN_PATH=/gpfs/apps/gcc/v4.7.2/lib64:$LD_RUN_PATH

before configure-ing OpenMPI with the new gcc on the PATH. Thanks to all who responded to this and pointed me in the right direction.

-- 
Paul Hatton
High Performance Computing and Visualisation Specialist
IT Services, The University of Birmingham
Ph: 0121-414-3994  Mob: 07785-977340  Skype: P.S.Hatton
[Service Manager, Birmingham Environment for Academic Research]
[Also Technical Director, IBM Visual and Spatial Technology Centre]
> -----Original Message-----
> From: Paul Hatton [mailto:p.s.hatton_at_[hidden]]
> Sent: 06 December 2012 22:37
> To: 'Open MPI Users'
> Subject: RE: [OMPI users] error configuring OpenMPI 1.6.3 with gcc
> 4.7.2
> 
> Thanks. This is obviously (now) a problem with my gcc build which
> isn't appropriate for this list. I'll re-visit this and post a
> solution once I've (hopefully) got this working. I don't have any
> shared libraries (*.so.*) in my gcc tree so something went badly
> wrong ...
> 
> Thanks for your help.
> 
> --
> Paul Hatton
> High Performance Computing and Visualisation Specialist
> IT Services, The University of Birmingham
> Ph: 0121-414-3994  Mob: 07785-977340  Skype: P.S.Hatton
> [Service Manager, Birmingham Environment for Academic Research]
> [Also Technical Director, IBM Visual and Spatial Technology Centre]
> 
> 
> > -----Original Message-----
> > From: users-bounces_at_[hidden] [mailto:users-bounces_at_open-
> mpi.org] On
> > Behalf Of Gunter, David O
> > Sent: 06 December 2012 22:27
> > To: Open MPI Users
> > Subject: Re: [OMPI users] error configuring OpenMPI 1.6.3 with
> gcc
> > 4.7.2
> >
> > My gcc 4.7.2 build appears to be ignoring the one in /usr/lib64
> and
> > using the one in its own install tree:
> > /usr/projects/hpcsoft/moonlight/gcc/4.7.2/lib64/libgfortran.so.3
> >
> > -david
> >
> > --
> > David Gunter
> > HPC-3: Infrastructure Team
> > Los Alamos National Laboratory
> >
> >
> >
> >
> > On Dec 6, 2012, at 2:50 PM, Paul Hatton wrote:
> >
> > > Ahh, it's looking in /usr/lib64 and finding libgfortran.so.3
> which is
> > older than the one expected by gcc 4.7 (system gcc is 4.4.6).
> Looking
> > at my gcc installation I don't have any shared libraries in
> there, just
> > static ones.
> > >
> > > David - if you don't mind a slight diversion, where is your
> > libgfortran.so.3? Does your system have one in /usr/lib64
> (assuming
> > you're on a 64-bit system) or in
> > /usr/projects/hpcsoft/moonlight/gcc/4.7.2/somewhere?
> > >
> > > I'll have a play with my setup as well. Should have spotted
> this
> > myself.
> > >
> > > Thanks for your help
> > >
> > > --
> > > Paul Hatton
> > > High Performance Computing and Visualisation Specialist
> > > IT Services, The University of Birmingham
> > > Ph: 0121-414-3994  Mob: 07785-977340  Skype: P.S.Hatton
> > > [Service Manager, Birmingham Environment for Academic Research]
> > > [Also Technical Director, IBM Visual and Spatial Technology
> Centre]
> > >
> > >
> > >> -----Original Message-----
> > >> From: users-bounces_at_[hidden] [mailto:users-bounces_at_open-
> mpi.org]
> > On
> > >> Behalf Of Jeff Squyres
> > >> Sent: 06 December 2012 21:30
> > >> To: Open MPI Users
> > >> Subject: Re: [OMPI users] error configuring OpenMPI 1.6.3 with
> gcc
> > >> 4.7.2
> > >>
> > >> It looks like your gfortran compiler is broken...?
> > >>
> > >> configure:53489: checking Fortran 90 kind of MPI_INTEGER_KIND
> > >> (selected_int_kind(9))
> > >> configure:53507: gfortran   -o conftest conftestf.f90
> > >> configure:53514: $? = 0
> > >> configure:53554: ./conftest
> > >> ./conftest: /usr/lib64/libgfortran.so.3: version
> `GFORTRAN_1.4' not
> > >> found (required by ./conftest)
> > >> configure:53561: $? = 1
> > >>
> > >>
> > >>
> > >> On Dec 6, 2012, at 1:22 PM, Paul Hatton wrote:
> > >>
> > >>> failed one attached.
> > >>>
> > >>> --
> > >>> Paul Hatton
> > >>> High Performance Computing and Visualisation Specialist
> > >>> IT Services, The University of Birmingham
> > >>> Ph: 0121-414-3994  Mob: 07785-977340  Skype: P.S.Hatton
> > >>> [Service Manager, Birmingham Environment for Academic
> Research]
> > >>> [Also Technical Director, IBM Visual and Spatial Technology
> Centre]
> > >>>
> > >>>
> > >>>> -----Original Message-----
> > >>>> From: users-bounces_at_[hidden] [mailto:users-bounces_at_open-
> > mpi.org]
> > >> On
> > >>>> Behalf Of Jeff Squyres
> > >>>> Sent: 06 December 2012 21:17
> > >>>> To: Open MPI Users
> > >>>> Subject: Re: [OMPI users] error configuring OpenMPI 1.6.3
> with gcc
> > >>>> 4.7.2
> > >>>>
> > >>>> This does not appear to be the right config.log -- the test
> in
> > >> question
> > >>>> passed:
> > >>>>
> > >>>> configure:53489: checking Fortran 90 kind of
> MPI_INTEGER_KIND
> > >>>> (selected_int_kind(9))
> > >>>> configure:53507: gfortran   -o conftest conftestf.f90
> > >>>> configure:53514: $? = 0
> > >>>>
> > >>>>
> > >>>>
> > >>>> On Dec 6, 2012, at 1:11 PM, Paul Hatton wrote:
> > >>>>
> > >>>>> Thanks. zip-ed config.log attached
> > >>>>>
> > >>>>> --
> > >>>>> Paul Hatton
> > >>>>> High Performance Computing and Visualisation Specialist
> > >>>>> IT Services, The University of Birmingham
> > >>>>> Ph: 0121-414-3994  Mob: 07785-977340  Skype: P.S.Hatton
> > >>>>> [Service Manager, Birmingham Environment for Academic
> Research]
> > >>>>> [Also Technical Director, IBM Visual and Spatial Technology
> > Centre]
> > >>>>>
> > >>>>>
> > >>>>>> -----Original Message-----
> > >>>>>> From: users-bounces_at_[hidden] [mailto:users-
> bounces_at_open-
> > >> mpi.org]
> > >>>> On
> > >>>>>> Behalf Of Jeff Squyres
> > >>>>>> Sent: 06 December 2012 20:54
> > >>>>>> To: Open MPI Users
> > >>>>>> Subject: Re: [OMPI users] error configuring OpenMPI 1.6.3
> with
> > gcc
> > >>>>>> 4.7.2
> > >>>>>>
> > >>>>>> I have not tested with gfortran 4.7.2.
> > >>>>>>
> > >>>>>> Can you send the config.log file? (please compress)
> > >>>>>>
> > >>>>>>
> > >>>>>> On Dec 6, 2012, at 12:42 PM, Paul Hatton wrote:
> > >>>>>>
> > >>>>>>> I've searched the FAQ but not come up with anything about
> this
> > >> ...
> > >>>>>> with OpenMPI 1.6.3 and gcc 4.7.2, when I
> > >>>>>>>
> > >>>>>>> ./configure  --prefix=/gpfs/apps/openmpi/1.6.3/gcc_4.7.2-
> tm-ib
> > \
> > >>>>>>> F77=gfortran FC=gfortran CC=gcc CXX=c++ \
> > >>>>>>> --with-tm=/gpfs/sysapps/torque/4.1.2 \
> > >>>>>>> --with-openib \
> > >>>>>>> 2>&1|tee ../logs/configure-`date +%y_%m_%d_%Hh%Mm`.log
> > >>>>>>>
> > >>>>>>> configure fails with
> > >>>>>>>
> > >>>>>>> checking Fortran 90 kind of MPI_INTEGER_KIND
> > >>>>>> (selected_int_kind(9))...
> > >>>>>>> configure: error: Could not determine kind of
> > >>>>>> selected_int_kind(MPI_INTEGER_KIND)
> > >>>>>>>
> > >>>>>>> Has anyone built 1.6.3 with gcc 4.7.2? It build fine with
> Intel
> > >>>>>> 2013.0.079 and also the system (Scientific Linux 6.3) gcc
> which
> > is
> > >>>>>> 4.4.6
> > >>>>>>>
> > >>>>>>> I've attached the output from the configure command.
> > >>>>>>>
> > >>>>>>> Thanks
> > >>>>>>>
> > >>>>>>> --
> > >>>>>>> Paul Hatton
> > >>>>>>> High Performance Computing and Visualisation Specialist
> > >>>>>>> IT Services, The University of Birmingham
> > >>>>>>> Ph: 0121-414-3994  Mob: 07785-977340  Skype: P.S.Hatton
> > >>>>>>> [Service Manager, Birmingham Environment for Academic
> Research]
> > >>>>>>> [Also Technical Director, IBM Visual and Spatial
> Technology
> > >> Centre]
> > >>>>>>>
> > >>>>>>> <configure-
> > >>>>>>
> > >>
> 12_12_06_19h48m.log>_______________________________________________
> > >>>>>>> users mailing list
> > >>>>>>> users_at_[hidden]
> > >>>>>>> http://www.open-mpi.org/mailman/listinfo.cgi/users
> > >>>>>>
> > >>>>>>
> > >>>>>> --
> > >>>>>> Jeff Squyres
> > >>>>>> jsquyres_at_[hidden]
> > >>>>>> For corporate legal information go to:
> > >>>>>> http://www.cisco.com/web/about/doing_business/legal/cri/
> > >>>>>>
> > >>>>>>
> > >>>>>> _______________________________________________
> > >>>>>> users mailing list
> > >>>>>> users_at_[hidden]
> > >>>>>> http://www.open-mpi.org/mailman/listinfo.cgi/users
> > >>>>>
> > >>>>>
> > >>>>>
> > >>>>
> > >>
> >
> *******************************************************************
> ****
> > >>>> ******
> > >>>>> **
> > >>>> **
> > >>>>> ** WARNING:  This email contains an attachment of a very
> > suspicious
> > >>>> type.  **
> > >>>>> ** You are urged NOT to open this attachment unless you are
> > >>>> absolutely     **
> > >>>>> ** sure it is legitimate.  Opening this attachment may
> cause
> > >>>> irreparable   **
> > >>>>> ** damage to your computer and your files.  If you have any
> > >> questions
> > >>>> **
> > >>>>> ** about the validity of this message, PLEASE SEEK HELP
> BEFORE
> > >>>> OPENING IT. **
> > >>>>> **
> > >>>> **
> > >>>>> ** This warning was added by the IU Computer Science Dept.
> mail
> > >>>> scanner.   **
> > >>>>>
> > >>>>
> > >>
> >
> *******************************************************************
> ****
> > >>>> ******
> > >>>>>
> > >>>>>
> > >>>>> <config.zip>_______________________________________________
> > >>>>> users mailing list
> > >>>>> users_at_[hidden]
> > >>>>> http://www.open-mpi.org/mailman/listinfo.cgi/users
> > >>>>
> > >>>>
> > >>>> --
> > >>>> Jeff Squyres
> > >>>> jsquyres_at_[hidden]
> > >>>> For corporate legal information go to:
> > >>>> http://www.cisco.com/web/about/doing_business/legal/cri/
> > >>>>
> > >>>>
> > >>>> _______________________________________________
> > >>>> users mailing list
> > >>>> users_at_[hidden]
> > >>>> http://www.open-mpi.org/mailman/listinfo.cgi/users
> > >>>
> > >>>
> > >>>
> > >>
> >
> *******************************************************************
> ****
> > >> ******
> > >>> **
> > >> **
> > >>> ** WARNING:  This email contains an attachment of a very
> suspicious
> > >> type.  **
> > >>> ** You are urged NOT to open this attachment unless you are
> > >> absolutely     **
> > >>> ** sure it is legitimate.  Opening this attachment may cause
> > >> irreparable   **
> > >>> ** damage to your computer and your files.  If you have any
> > questions
> > >> **
> > >>> ** about the validity of this message, PLEASE SEEK HELP
> BEFORE
> > >> OPENING IT. **
> > >>> **
> > >> **
> > >>> ** This warning was added by the IU Computer Science Dept.
> mail
> > >> scanner.   **
> > >>>
> > >>
> >
> *******************************************************************
> ****
> > >> ******
> > >>>
> > >>>
> > >>> <config.zip>_______________________________________________
> > >>> users mailing list
> > >>> users_at_[hidden]
> > >>> http://www.open-mpi.org/mailman/listinfo.cgi/users
> > >>
> > >>
> > >> --
> > >> Jeff Squyres
> > >> jsquyres_at_[hidden]
> > >> For corporate legal information go to:
> > >> http://www.cisco.com/web/about/doing_business/legal/cri/
> > >>
> > >>
> > >> _______________________________________________
> > >> users mailing list
> > >> users_at_[hidden]
> > >> http://www.open-mpi.org/mailman/listinfo.cgi/users
> > >
> > > _______________________________________________
> > > users mailing list
> > > users_at_[hidden]
> > > http://www.open-mpi.org/mailman/listinfo.cgi/users
> >
> >
> > _______________________________________________
> > users mailing list
> > users_at_[hidden]
> > http://www.open-mpi.org/mailman/listinfo.cgi/users